summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-asy
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2022-01-27 22:59:24 +0000
committerKarl Berry <karl@freefriends.org>2022-01-27 22:59:24 +0000
commitd17395dc3da8ac203703f9b98c2d89d169f6a5bd (patch)
tree99263104ecc630d169c92620d495bcb8890868aa /Master/tlpkg/bin/tl-update-asy
parent1519c1a484e357df71a791249ba8aecf3a5700d8 (diff)
doc,sync
git-svn-id: svn://tug.org/texlive/trunk@61767 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-asy')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-asy13
1 files changed, 7 insertions, 6 deletions
diff --git a/Master/tlpkg/bin/tl-update-asy b/Master/tlpkg/bin/tl-update-asy
index c9d454a7ab8..109c129954f 100755
--- a/Master/tlpkg/bin/tl-update-asy
+++ b/Master/tlpkg/bin/tl-update-asy
@@ -44,14 +44,15 @@ elif test "x$1" = x--build; then
# this part is about building the x86 linux asymptote on tug.org.
# Despite all the dire warnings above, this part actually can be run
# as a script, because it's so often necessary to redo.
- set -e
+ unset GREP_OPTIONS CDPATH
PATH=/usr/bin:/usr/sbin; export PATH # system gcc for sake of shared libs
- #PATH=/usr/local/bin:$PATH # need new gs to pass tests, but ok
- PATH=$lb:$PATH # get our kpsewhich
+ PATH=$lb:$PATH # get our kpsewhich
svn=/usr/local/bin/svn # so we need our svn explicitly
- unset GREP_OPTIONS CDPATH
-
set -x
+ rhtoolset=/opt/rh/devtoolset-10/enable
+ test -s $rhtoolset && . $rhtoolset
+
+ set -e
cd /home/texlive/karl/Build/source/utils/asymptote
$svn update
$svn revert asy-keywords.el
@@ -66,7 +67,7 @@ elif test "x$1" = x--build; then
./configure --prefix=/tmp/ainst \
--with-latex=/tmp/ainst/latex --with-context=/tmp/ainst/context \
--disable-fftw --disable-gl --disable-gsl \
- --enable-texlive-build CFLAGS=-g CXXFLAGS=-std=c++11 #-ansi
+ --enable-texlive-build CFLAGS=-g CXXFLAGS=-std=c++17 #-ansi
make
make check
make install-prebuilt